clash-prelude-1.8.4: Clash: a functional hardware description language - Prelude library

Copyright | (C) 2019 Myrtle Software Ltd
License | BSD2 (see the file LICENSE)
Maintainer | Christiaan Baaij <christiaan.baaij@gmail.com>
Safe Haskell | Safe-Inferred
Language | Haskell2010

Clash.XException.TH

Description

Synopsis

- mkShowXTupleInstances :: [Int] -> Q [Dec]
- mkNFDataXTupleInstances :: [Int] -> Q [Dec]
- mkShowXTupleInstance :: Int -> Dec

# Documentation

mkShowXTupleInstances :: [Int] -> Q [Dec] Source #

Creates instances of ShowX for all tuple sizes listed. See `mkShowXTupleInstance` for more information.

mkNFDataXTupleInstances :: [Int] -> Q [Dec] Source #

mkShowXTupleInstance :: Int -> Dec Source #

Creates an instance of the form:

instance (ShowX a0, ShowX a1) => ShowX (a0, a1)

With n number of variables.